! Functiile: fk(u), dfk(u); ga(u); dga(u); p(t)
! Ecuatie liniara (Exemplele: cos; sin; fortat; stiff)
function fk(u)
use work

implicit real(8) (a-h, o-z)

! Liniara:
! om2 =omega**2
fk =k*u


end function fk

function dfk(u)
! Derivata lui fk
use work

implicit real(8) (a-h, o-z)

! Liniara:
! om2 =omega**2
dfk =k


end function dfk

!---------------------------------------------------------
function ga(u)
use work

implicit real(8) (a-h, o-z)

! Liniara:
ga =c

end function ga


function dga(v)
! Derivata lui ga
use work

implicit real(8) (a-h, o-z)

! Liniara:
dga =0


end function dga

!---------------------------------------------------------
function p(t)
use work

implicit real(8) (a-h, o-z)

! Armonica:
p =p0*dsin(omp*t)


end function p

